
GammaLib - Action #504

Feature # 490 (Closed): Avoid casts for derived classes

Rework GModelTemporal interface

09/19/2012 10:12 PM - Knödlseder Jürgen

Status: Closed Start date: 09/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

Here the methods implement in the derived classes of GModelTemporal:

GModelTemporalConst:

double norm(void) const;

Note: this is just a luxury method that is not really needed as the same can be achieved using the model parameter access method.

History

#1 - 09/19/2012 10:13 PM - Knödlseder Jürgen

- Description updated

#2 - 09/20/2012 05:21 PM - Knödlseder Jürgen

- Start date set to 09/20/2012

due to changes in a related task

#3 - 09/20/2012 05:52 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

The interface has not been reworked. Instead, output typemaps have been implemented that perform typecasting at the access level.

#4 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
